Component({
  properties: {
    order: {
      type: Object
    },
    showNickname: {
      type: Boolean,
      default: false
    }
  },
  data: {
    isCalling: false
  },
  methods: {
    callTelphone: function (t) {
      var e = this;
      this.data.isCalling || (this.data.isCalling = true, wx.makePhoneCall({
        phoneNumber: t.currentTarget.dataset.phone,
        complete: function () {
          e.data.isCalling = false;
        }
      }));
    },
    goExpress: function(){
      let order_id = this.data.order.order_info.order_id;
      wx.navigateTo({
        url: '/lionfish_comshop/pages/order/goods_express?id=' + order_id,
      })
    }
  }
});